Subject: bug#33781: tramp tests abort on hydra

From: Glenn Morris <[email-masked]>
Date: Thu, 20 Dec 2018 12:46:17 -0500

Great job, thanks for fixing it!

Michael Albinus wrote:

> Yes, PATH_MAX by definition is the maximum length of a file path. But I
> still have the feeling it is also involved in setting the $PATH
> environment variable. As Glenn did report, there are problems on hydra
> when setting $PATH to a string longer than 4096 characters.

No, I did not report that. PATHs longer than 4096 work fine on
hydra.nixos.org, and on my local machine. What did not work was tramp
trying to pass a long string to a process. It is an Emacs-specific problem.

> It doesn't seem to be related to the shell limit of input lines; Glenn
> reported that 'getconf LINE_MAX' returns 2048.

I think LINE_MAX has no relevance here. Eg:

getconf LINE_MAX               # -> 2048
echo $(seq 1 10000)  | wc -w   # -> 10000
echo $(seq 1 400000) | wc -c   # -> 2688895
echo $(seq 1 500000)           # -> bash: /usr/bin/echo: Argument list too long